P4Resolve (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.perforce.P4Resolve class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Resolve

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  org.apache.tools.ant.taskdefs.optional.perforce.P4Resolve

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Resolve

extends P4Base

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`P4Resolve()`

Method Summary
`void` | `execute()` execute the p4 resolve
`java.lang.String` | `getResolvemode()` returns the resolve mode
`boolean` | `isForcetextmode()` If set to true, attempts a textual merge, even for binary files
`boolean` | `isMarkersforall()` If set to true, puts in markers for all changes, conflicting or not
`boolean` | `isRedoall()` allows previously resolved files to be resolved again
`boolean` | `isSimulationmode()` read the simulation mode flag
`void` | `setForcetextmode(boolean forcetextmode)` If set to true, attempts a textual merge, even for binary files
`void` | `setMarkersforall(boolean markersforall)` If set to true, puts in markers for all changes, conflicting or not
`void` | `setRedoall(boolean redoall)` set the redoall flag
`void` | `setResolvemode(java.lang.String resolvemode)` values for resolvemode automatic -am force -af safe -as theirs -at yours -ay
`void` | `setSimulationmode(boolean simulationmode)` sets a flag

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P4Resolve

    public P4Resolve()

Method Detail

### getResolvemode

    public java.lang.String getResolvemode()

  returns the resolve mode

  Returns:
    returns the resolve mode

### setResolvemode

    public void setResolvemode(java.lang.String resolvemode)

  values for resolvemode
  - automatic -am
  - force -af
  - safe -as
  - theirs -at
  - yours -ay

  Parameters:
    `resolvemode` - one of automatic, force, safe, theirs, yours

### isRedoall

    public boolean isRedoall()

  allows previously resolved files to be resolved again

  Returns:
    flag indicating whether one wants to allow previously resolved files to be resolved again

### setRedoall

    public void setRedoall(boolean redoall)

  set the redoall flag

  Parameters:
    `redoall` - flag indicating whether one want to allow previously resolved files to be resolved again

### isSimulationmode

    public boolean isSimulationmode()

  read the simulation mode flag

  Returns:
    flag indicating whether one wants just to simulate the p4 resolve operation whithout actually doing it

### setSimulationmode

    public void setSimulationmode(boolean simulationmode)

  sets a flag

  Parameters:
    `simulationmode` - set to true, lists the integrations which would be performed, without actually doing them.

### isForcetextmode

    public boolean isForcetextmode()

  If set to true, attempts a textual merge, even for binary files

  Returns:
    flag value

### setForcetextmode

    public void setForcetextmode(boolean forcetextmode)

  If set to true, attempts a textual merge, even for binary files

  Parameters:
    `forcetextmode` - set the flag value

### isMarkersforall

    public boolean isMarkersforall()

  If set to true, puts in markers for all changes, conflicting or not

  Returns:
    flag markersforall value

### setMarkersforall

    public void setMarkersforall(boolean markersforall)

  If set to true, puts in markers for all changes, conflicting or not

  Parameters:
    `markersforall` - flag true or false

### execute

    public void execute()
                 throws BuildException

  execute the p4 resolve

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if there is a wrong resolve mode specified or no view specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD